@extends('components.scaffold')
@section('content')
<nav class="navbar navbar-expand-lg navbar-light fixed-top py-3" id="mainNav">
    <div class="container px-4 px-lg-5">
        <a class="navbar-brand" href="{{ route('welcome') }}">Bourse d'Achat</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ms-auto my-2 my-lg-0">
                <li class="nav-item"><a class="nav-link" href="{{ route('login') }}">Connexion</a></li>
                <li class="nav-item"><a class="nav-link" href="{{ route('register') }}">Inscription Physique</a></li>
                
            </ul>
        </div>
    </div>
</nav>
<style>
    .form-control{
        border-radius: 20px;
        width: 60%;
        height: 80%;
        margin-left: 0%;
        text-align: center;
    }
    hr{
        padding: -2%
    }
    
</style>
<!-- Masthead-->
<header class="masthead">
    <div class="container px-4 px-lg-5 h-100">
        <div class="row gx-4 gx-lg-5 h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-8 align-self-end">
                <h4 class="text-white font-weight-bold">Morale</h4>
                @error('email')
                    <p>Cet email existe déjà</p>
                @enderror
                @error('password_confirmation')
                    <p>Les mots de passe ne correspondent pas</p>
                @enderror
                <hr class="divider" />
            </div>
            <div class="col-lg-6 align-self-baseline container">
                <form action="{{ route('registerM') }}" method="post">
                    @csrf
                    <div class="form-group row">
                        <div class="col-sm-6 col">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Entreprise" name="name">
                            </div>
                        </div>
                        <div class="col-sm-6 col">
                            <div class="input-group">
                                <input type="email" class="form-control" placeholder="Email" name="email">
                            </div>
                        </div>
                    </div>
                    <hr/>
                    <div class="form-group row">
                        <div class="col-sm-6 col">
                            <div class="input-group">
                                <input type="password" class="form-control" placeholder="Mot de passe" name="password">
                            </div>
                        </div>
                        <div class="col-sm-6 col">
                            <div class="input-group">
                                <input type="password" class="form-control" placeholder="Confirmation" name="password_confirmation">
                            </div>
                        </div>
                    </div>
                    <hr/>
                    <button class="btn btn-primary btn-xl" type="submit">Inscription</button>
                </form>
            </div>
        </div>
    </div>
</header>
@endsection