@extends('table')
@section('content')
    <div class="page-wrapper">
        <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-12 d-flex no-block align-items-center">
                        <h4 class="page-title">Personne</h4>
                        <div class="ml-auto text-right">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="#">Morale</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Liste</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Liste des personnes morales</h5>
                                <div class="table-responsive">
                                    <table id="zero_config" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Entreprise</th>
                                                <th>Date de création</th>
                                                <th>N° d'identification fiscale</th>
                                                <th>N° d'enregistrement</th>
                                                <th>Nom de banque</th>
                                                <th>Code Guichet</th>
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($morales as $tem)
                                                <tr>
                                                    <th>{{ $tem->name }}</th>
                                                    @if ($tem->dateCreationM != null)
                                                        <th>{{$tem->dateCreationM }}</th>
                                                    @else
                                                        <th>Non renseigné</th>
                                                    @endif
                                                    @if ($tem->numIdentifM != null)
                                                        <th>{{$tem->numIdentifM}}</th>
                                                    @else
                                                        <th>Non renseigné</th>
                                                    @endif
                                                    @if ($tem->numEM != null)
                                                        <th>{{ $tem->numEM }}</th>
                                                    @else
                                                        <th>Non renseigné</th>
                                                    @endif

                                                    @if ($tem->nomBanqueM != null)
                                                        <th>{{ $tem->nomBanqueM }}</th>
                                                    @else
                                                        <th>Non renseigné</th>
                                                    @endif
                                                    @if ($tem->codeGuichetM != null)
                                                        <th>{{ $tem->codeGuichetM }}</th>
                                                    @else
                                                        <th>Non renseigné</th>
                                                    @endif
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            <footer class="footer text-center">
                Tous droits réservés. Développé par <a href="https://wrappixel.com">Spark corporation</a>.
            </footer>
        </div>
@endsection
