@extends('table')
@section('content')
    <div class="page-wrapper">
        <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-12 d-flex no-block align-items-center">
                        <h4 class="page-title">Produit</h4>
                        <div class="ml-auto text-right">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="#">Produit</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Liste</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Liste des produits</h5>
                                <div class="table-responsive">
                                    <table id="zero_config" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Nom</th>
                                                <th>Catégorie</th>
                                                <th>Quantité</th>
                                                <th>Seuil</th>
                                                <th>Prix grossiste / détaillant / distributeur</th>
                                                <th>Date de péremption</th>
                                                <th>Date d'ajout</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($produits as $item)
                                                <tr>
                                                    <td>{{$item->nomProduit}}</td>
                                                    <td>{{$item->categorieProduit}}</td>
                                                    <td>{{$item->quantiteProduit}}</td>
                                                    <td>{{$item->seuil}}</td>
                                                    <td>
                                                        {{$item->prixGrossiste }} / {{$item->prixDetaillant}} / {{$item->prixDistributeur}}
                                                    </td>
                                                    <td>{{$item->datePeremption}}</td>
                                                    <td>{{$item->created_at}}</td>
                                                    <td class="text-center">
                                                        <style>
                                                            .icon{
                                                                font-size: 24px;
                                                            }
                                                        </style>
                                                        <a href="{{ route('modifyProduit', ['id' => $item->id]) }}">
                                                            <i class="mdi mdi-pencil icon" style="color: blue"></i>
                                                        </a>
                                                        <a href="{{ route('removeProduit', ['id' => $item->id]) }}">
                                                            <i class="mdi mdi-delete icon" style="color: red"></i>
                                                    
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            <footer class="footer text-center">
                Tous droits réservés. Développé par <a href="https://wrappixel.com">Spark corporation</a>.
            </footer>
        </div>
@endsection
